%define name	armagetron
%define version	0.1.4.9
%define release 10mdk

Summary:	Armagetron, another 3d lightcycle game using OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Arcade

URL:		http://armagetron.sourceforge.net/

Source:		http://prdownloads.sourceforge.net/armagetron/armagetron_src_%{version}.tar.bz2
Source1:	armagetron-xpm.tar.bz2

Patch:		armagetron-configure-fix.patch.bz2
Patch2:		armagetron-distrib.patch.bz2
Patch3:		armagetron-0.1.4.9-64bit.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	SDL_image-devel
BuildRequires:	XFree86-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	esound-devel
BuildRequires:	gcc-c++
BuildRequires:	libMesaGLU-devel
BuildRequires:	libpng-devel

%description
Another very nice and networked Tron game using OpenGL.

%prep

%setup -q -n %{name}
%patch -p1
%patch2 -p1
%patch3 -p2
autoconf

%build
%configure2_5x

%make CXXFLAGS="-DDATA_DIR=\\\"%{_gamesdatadir}/armagetron/\\\" -DSCORE_DIR=\\\"%{_localstatedir}/games/armagetron/\\\" -I. -I.. -I../.. `sdl-config --cflags` $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}
cat <<EOF >$RPM_BUILD_ROOT%{_gamesbindir}/armagetron
#!/bin/sh
cd %{_gamesdatadir}/armagetron
exec %{_gamesbindir}/armagetron.real
EOF
install -m0755 src/tron/armagetron $RPM_BUILD_ROOT%{_gamesbindir}/armagetron.real
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/games/armagetron
mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/armagetron
cp -a arenas models sound textures \
	$RPM_BUILD_ROOT%{_gamesdatadir}/armagetron
chmod -R a+r $RPM_BUILD_ROOT%{_gamesdatadir}/armagetron
chmod a+r COPYING.txt README

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
tar xvfy %{SOURCE1}
install -m0644 %{name}-16.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -m0644 %{name}-32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -m0644 %{name}-48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/armagetron" \
		  icon="%{name}.xpm" \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="ArmageTron" \
		  longtitle="Another 3d lightcycle game"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING.txt README
%attr(0755,root,games) %{_gamesbindir}/armagetron
%attr(2755,root,games) %{_gamesbindir}/armagetron.real
%{_gamesdatadir}/armagetron
%dir %attr(0775,games,games) %{_localstatedir}/games/armagetron
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_menudir}/%{name}

%changelog
* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1.4.9-10mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1.4.9-9mdk
- Automated rebuild with gcc3.2

* Wed May 29 2002 Franois Pons <fpons@mandrakesoft.com> 0.1.4.9-8mdk
- rebuild for new libstdc++.

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.4.9-7mdk
- rebuild for new alsa

* Mon Jan 21 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1.4.9-6mdk
- BuildRequires

* Sat Dec  1 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.1.4.9-5mdk
- patch3: fix 64-bit build
- use %%configure2_5x instead of manually calling ./configure
- execute autoconf in %%prep not %%build stage

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 0.1.4.9-4mdk
- added url tag.
- updated source tag.

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.4.9-3mdk
- rebuild for libpng3

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.4.9-2mdk
- BuildRequires: libpng-devel
- Removed redundant BuildRequires.

* Mon Aug 27 2001 Franois Pons <fpons@mandrakesoft.com> 0.1.4.9-1mdk
- 0.1.4.9.
- removed already applied patch.
- fixed unused /var/lib/armagetron directory (no highscore saved).

* Fri Jun 22 2001 Franois Pons <fpons@mandrakesoft.com> 0.1.4.6-1mdk
- initial release.
